com.holonplatform.datastore.jpa.jpql.expression

## Interface JPQLQueryDefinition

- All Superinterfaces:
    com.holonplatform.core.Expression

      public interface JPQLQueryDefinition
      extends com.holonplatform.core.Expression

  JPQL query definition expression.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFrom()` Get the `FROM` clause.
    `Optional<String>` | `getGroupBy()` Get the `GROUP BY` clause.
    `Optional<String>` | `getOrderBy()` Get the `ORDER BY` clause.
    `Class<?>` | `getQueryResultType()` Get the query result type.
    `Optional<JPQLResultConverter<?,?>>` | `getResultConverter()` Get the optional `JPQLResultConverter`.
    `String` | `getSelect()` Get the `SELECT` clause.
    `Optional<String>` | `getWhere()` Get the `WHERE` clause.
    `boolean` | `isDistinct()` Get whether to add the DISTINCT clause.

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getSelect

          String getSelect()

      Get the `SELECT` clause.
      Returns:
        Select SQL clause

    - #### isDistinct

          boolean isDistinct()

      Get whether to add the DISTINCT clause.
      Returns:
        Whether to add the DISTINCT clause

    - #### getFrom

          String getFrom()

      Get the `FROM` clause.
      Returns:
        From SQL clause

    - #### getWhere

          Optional<String> getWhere()

      Get the `WHERE` clause.
      Returns:
        Optional where SQL clause

    - #### getOrderBy

          Optional<String> getOrderBy()

      Get the `ORDER BY` clause.
      Returns:
        Optional order by SQL clause

    - #### getGroupBy

          Optional<String> getGroupBy()

      Get the `GROUP BY` clause.
      Returns:
        Optional group by SQL clause

    - #### getQueryResultType

          Class<?> getQueryResultType()

      Get the query result type.
      Returns:
        The query result type

    - #### getResultConverter

          Optional<JPQLResultConverter<?,?>> getResultConverter()

      Get the optional `JPQLResultConverter`.
      Returns:
        Optional result converter

Copyright © 2019 The Holon Platform. All rights reserved.